- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::ManualObject::TempVertex Struct Reference

Temporary vertex structure. More...

`#include <OgreManualObject.h>`

List of all members.

## Public Attributes
Vector3 | position
Vector3 | normal
Vector3 | texCoord [OGRE_MAX_TEXTURE_COORD_SETS]
ushort | texCoordDims [OGRE_MAX_TEXTURE_COORD_SETS]
ColourValue | colour

## Detailed Description

Temporary vertex structure.

Definition at line 436 of file OgreManualObject.h.

## Member Data Documentation

Vector3 Ogre::ManualObject::TempVertex::position

Definition at line 438 of file OgreManualObject.h.

Vector3 Ogre::ManualObject::TempVertex::normal

Definition at line 439 of file OgreManualObject.h.

Vector3 Ogre::ManualObject::TempVertex::texCoord[OGRE_MAX_TEXTURE_COORD_SETS]

Definition at line 440 of file OgreManualObject.h.

ushort Ogre::ManualObject::TempVertex::texCoordDims[OGRE_MAX_TEXTURE_COORD_SETS]

Definition at line 441 of file OgreManualObject.h.

ColourValue Ogre::ManualObject::TempVertex::colour

Definition at line 442 of file OgreManualObject.h.

The documentation for this struct was generated from the following file:

- OgreManualObject.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:50:22 2008